Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512830 - Command to create storage class file for dynamic provisioning of volumes is incorrect
Summary: Command to create storage class file for dynamic provisioning of volumes is i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Container_Native_Storage_with_OpenShift
Version: cns-3.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: CNS 3.10
Assignee: Chandrakanth Pai
QA Contact: Rachael
URL:
Whiteboard:
Depends On:
Blocks: 1568865
TreeView+ depends on / blocked
 
Reported: 2017-11-14 08:48 UTC by Rachael
Modified: 2018-09-17 05:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-17 05:15:44 UTC


Attachments (Terms of Use)

Description Rachael 2017-11-14 08:48:40 UTC
Description of problem:
The cat command provided to create storage class for dynamic provisioning of volumes mentioned under "9.1.2.1.1. Registering a Storage Class" does not create a new storage class file.

Link to documentation:

https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.3/html-single/container-native_storage_for_openshift_container_platform/#chap-Documentation-Red_Hat_Gluster_Storage_Container_Native_with_OpenShift_Platform-OpenShift_Creating_Persistent_Volumes-Dynamic_Prov


How reproducible:
Always


Additional info:

The command should be:
#cat > glusterfs-storageclass.yaml

Comment 4 Chandrakanth Pai 2018-08-23 13:02:35 UTC
(In reply to Rachael from comment #0)
> Description of problem:
> The cat command provided to create storage class for dynamic provisioning of
> volumes mentioned under "9.1.2.1.1. Registering a Storage Class" does not
> create a new storage class file.
> 
> Link to documentation:
> 
> https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.3/
> html-single/container-native_storage_for_openshift_container_platform/#chap-
> Documentation-
> Red_Hat_Gluster_Storage_Container_Native_with_OpenShift_Platform-
> OpenShift_Creating_Persistent_Volumes-Dynamic_Prov
> 
> 
> How reproducible:
> Always
> 
> 
> Additional info:
> 
> The command should be:
> #cat > glusterfs-storageclass.yaml

Hi Racheal,

Could you please help in addressing this failed QA?

-Chandrakanth


Note You need to log in before you can comment on or make changes to this bug.